## Модули программы


Крестьянство SDK - инструментарий для создания мультимедиа приложений с поддержкой сетевых технологий на основе репликации. Может применяться при создании распределенных вычислительных мультимедиа сред; мультимедиа дисков; интернет приложений, обучающих приложений по научным дисциплинам (математика/ физика/ химия) и их прикладным областям.Может применяться для построения виртуальных лабораторий; многопользовательских обучающих сред; моделирования физических процессов.

<img src="/images/001-kr.jpg" width="200">
<img src="/images/002-kr.jpg" width="200">
<img src="/images/003-kr.jpg" width="200">

Является SmallTalk приложением для OpenCroquet, включает Sophie XUL логику разметки пользовательских интерфейсов и пространств.

Обеспечивает выполнение следующих функций:

* психологически-комфортная форма представления знаний
* мультимедийный пульт учителя
* создание среды для творческого коллективного виртуального взаимодействия 2D или 3D в реальном времени.
* язык высокого уровня OWML (Objective World Markup Language) - язык разметки "объективного мира" в компьютерах на основе XML
* XUL логика построения пользовательских интерфейсов приложений.
* импорт мультимедиа содержания (2D, 3D, звук, видео) реального времени на основе библиотек OpenGL, OpenAL.
* технологии моделирования в реальном времени (OpenGL, GLSL shaders, OpenAL)
* поддержка Unicode шрифтов

####Смотрины

<img src="/images/002-smotrini.jpg">

Модуль предназначен для создания мультимедиа интернет-ориентированных приложений. Представляет из себя мобильный web сервер и приложение для него. Позволяет работать с содержанием как одному так и неограниченному числу пользователей одновременно, посредством локальной сети или сети Интернет; создавать аннотации к мультимедиа материалу, новые содержательные разделы и сохранять их непосредственно в структуре программы. Разработан на основе инструментария Seaside.

Модуль обеспечивает выполнение следующих функций:

* Создание среды для творческого коллективного взаимодействия в локальной сети или сети интернет через web обозреватель
* Magritte логика построения пользовательских интерфейсов приложений.
* Импорт мультимедиа содержания (2D, звук, видео)
* Полнотекстовый поиск по содержанию

####Игрище

"Перевести потребительский взгляд в режим бескорыстного творчества."

Инструментарий для создания и проведения живых представлений/инсталляций/VJ сессий.

<img src="/images/001-igr.jpg" width="200">
<img src="/images/002-igr.jpg" width="200">
<img src="/images/003-igr.jpg" width="200">

Является модулем к приложению Крестьянство. Может применяться в театре/галерее/выставочной среде; в проектах создания расширенной реальности.

Приложение обеспечивает выполнение следующих функций:

* Создание среды для проведения мультимедиа-арт представлений в реальном времени.
* Распределенные вычисления для создания неограниченного числа виртуальных проекций и совмещения с реальным пространством.
* Моделирование сценического света и геометрии виртуального пространства.
* поддержка Midi контроллеров
* поддержка сенсорного стола на основе TUIO протокола
* поддержка Wii контроллера

####Обряд

<img src="/images/001-obr.jpg" width="200">
<img src="/images/002-obr.jpg" width="200">
<img src="/images/003-obr.jpg" width="200">

Модуль является многопользовательским исследоватедлем искривленных пространств на основе Jeff Weeks алгоритма. Позволяет совместно нескольким участникам взаимодействия исследовать гиперболическую, сферическую и евклидову геометрии, наблюдая движения аватаров и приносимых в пространство объектов.